Package ghidra.app.util.bin.format.pe

# Class ImageCor20Header.ImageCor20Flags

java.lang.Object
ghidra.program.model.data.AbstractDataType
ghidra.program.model.data.DataTypeImpl
ghidra.program.model.data.GenericDataType
ghidra.program.model.data.EnumDataType
ghidra.app.util.bin.format.pe.ImageCor20Header.ImageCor20Flags

All Implemented Interfaces:
  `DataType`, `Enum`

Enclosing class:
  ImageCor20Header

public static class ImageCor20Header.ImageCor20Flags extends EnumDataType
Data type for `ImageCor20Header.flags`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COMIMAGE_FLAGS_32BITREQUIRED`
  `static final int`
  `COMIMAGE_FLAGS_IL_LIBRARY`
  `static final int`
  `COMIMAGE_FLAGS_ILONLY`
  `static final int`
  `COMIMAGE_FLAGS_NATIVE_ENTRYPOINT`
  `static final int`
  `COMIMAGE_FLAGS_STRONGNAMESIGNED`
  `static final int`
  `COMIMAGE_FLAGS_TRACKDEBUGDATA`
  `static final String`
  `PATH`

  ### Fields inherited from class ghidra.program.model.data.DataTypeImpl

  `defaultSettings`

  ### Fields inherited from class ghidra.program.model.data.AbstractDataType

  `categoryPath, dataMgr, name`

  ### Fields inherited from interface ghidra.program.model.data.DataType

  `CONFLICT_SUFFIX, DEFAULT, NO_LAST_CHANGE_TIME, NO_SOURCE_SYNC_TIME, TYPEDEF_ATTRIBUTE_PREFIX, TYPEDEF_ATTRIBUTE_SUFFIX, VOID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageCor20Flags()`

- ## Method Summary

  ### Methods inherited from class ghidra.program.model.data.EnumDataType

  `add, add, clone, contains, contains, copy, getAlignedLength, getComment, getCount, getDefaultLabelPrefix, getDescription, getLength, getMaxPossibleValue, getMinimumPossibleLength, getMinPossibleValue, getMnemonic, getName, getNames, getNames, getRepresentation, getRepresentation, getSettingsDefinitions, getSignedState, getValue, getValue, getValueClass, getValues, isEquivalent, isSigned, pack, remove, replaceWith, setDescription, setLength`

  ### Methods inherited from class ghidra.program.model.data.GenericDataType

  `setCategoryPath, setName, setNameAndCategory`

  ### Methods inherited from class ghidra.program.model.data.DataTypeImpl

  `addParent, equals, getAlignment, getDefaultSettings, getLastChangeTime, getLastChangeTimeInSourceArchive, getParents, getPathName, getSourceArchive, getUniversalID, hashCode, notifyAlignmentChanged, notifyDeleted, notifyNameChanged, notifyParents, notifyReplaced, notifySizeChanged, removeParent, setLastChangeTime, setLastChangeTimeInSourceArchive, setSourceArchive`

  ### Methods inherited from class ghidra.program.model.data.AbstractDataType

  `dataTypeAlignmentChanged, dataTypeDeleted, dataTypeNameChanged, dataTypeReplaced, dataTypeSizeChanged, dependsOn, encodeRepresentation, encodeValue, getCategoryPath, getDataOrganization, getDataOrganization, getDataTypeManager, getDataTypePath, getDefaultAbbreviatedLabelPrefix, getDefaultLabelPrefix, getDefaultOffcutLabelPrefix, getDisplayName, getDocs, getName, getTypeDefSettingsDefinitions, hasLanguageDependantLength, isDeleted, isEncodable, isNotYetDefined, isZeroLength, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.data.DataType

  `addParent, dataTypeAlignmentChanged, dataTypeDeleted, dataTypeNameChanged, dataTypeReplaced, dataTypeSizeChanged, dependsOn, encodeRepresentation, encodeValue, getAlignment, getCategoryPath, getDataOrganization, getDataTypeManager, getDataTypePath, getDefaultAbbreviatedLabelPrefix, getDefaultLabelPrefix, getDefaultOffcutLabelPrefix, getDefaultSettings, getDisplayName, getDocs, getLastChangeTime, getLastChangeTimeInSourceArchive, getName, getParents, getPathName, getSourceArchive, getTypeDefSettingsDefinitions, getUniversalID, hasLanguageDependantLength, isDeleted, isEncodable, isNotYetDefined, isZeroLength, removeParent, setCategoryPath, setLastChangeTime, setLastChangeTimeInSourceArchive, setName, setNameAndCategory, setSourceArchive`

- ## Field Details

  - ### PATH

    public static final String PATH
    See Also:
      - Constant Field Values

  - ### COMIMAGE_FLAGS_ILONLY

    public static final int COMIMAGE_FLAGS_ILONLY
    See Also:
      - Constant Field Values

  - ### COMIMAGE_FLAGS_32BITREQUIRED

    public static final int COMIMAGE_FLAGS_32BITREQUIRED
    See Also:
      - Constant Field Values

  - ### COMIMAGE_FLAGS_IL_LIBRARY

    public static final int COMIMAGE_FLAGS_IL_LIBRARY
    See Also:
      - Constant Field Values

  - ### COMIMAGE_FLAGS_STRONGNAMESIGNED

    public static final int COMIMAGE_FLAGS_STRONGNAMESIGNED
    See Also:
      - Constant Field Values

  - ### COMIMAGE_FLAGS_NATIVE_ENTRYPOINT

    public static final int COMIMAGE_FLAGS_NATIVE_ENTRYPOINT
    See Also:
      - Constant Field Values

  - ### COMIMAGE_FLAGS_TRACKDEBUGDATA

    public static final int COMIMAGE_FLAGS_TRACKDEBUGDATA
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ImageCor20Flags

    public ImageCor20Flags()